
Foreman - Feature #1995

Enable parameterized class support by default

12/04/2012 12:59 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: External Nodes   

Target version: 1.1   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Parameterized class support could probably be enabled by default relatively safely, given the age of 2.6.5 (minimum version

required) and would be less surprising for new Foreman users trying to use it.  Else, we could test the Puppet version when loading

the default settings.

Related issues:

Related to Foreman - Feature #832: parameterized class support Closed 04/12/2011

Related to Foreman - Bug #2140: Parametrized_Classes_in_ENC shouldn't be TRUE... Rejected 01/17/2013

Associated revisions

Revision e36b9735 - 12/09/2012 04:19 AM - Dominic Cleal

fixes #1995 - enable param class ENC by default on Puppet 2.6.5+

History

#1 - 12/06/2012 08:29 AM - Dominic Cleal

- Category set to External Nodes

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

https://github.com/theforeman/foreman/pull/288

#2 - 12/09/2012 04:21 AM - Ohad Levy

- Target version set to 1.1

#3 - 12/09/2012 05:18 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset e36b973508a8bf7ce9e76831bbc50aebd93c8102.
